Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class DocumentImpl

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.DocumentImpl

All Implemented Interfaces:
  XDSDocument

Direct Known Subclasses:
  XDSCommandDocument, XDSCommandResultDocument, XDSHeartbeatDocument, XDSInitDocument, XDSQueryDocument, XDSQueryResultDocument, XDSResultDocument, XDSSchemaResultDocument

public class DocumentImpl
extends Object
implements XDSDocument

Superclass implementation of all XDS documents.

Method Summary
`Document` | `domDocument()` Returns a reference for this element's DOM document.
`Element` | `domIOElement()` Returns a DOM reference for this document's `<input>` or `<output>` element.
`Element` | `domNDSElement()` Returns a DOM reference for this document's `<nds>` element.
`boolean` | `isEmpty()` Indicates whether this document's `<input>` or `<output>` element contains any child nodes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### domDocument

    public Document domDocument()

  Description copied from interface: `XDSDocument`
  Returns a reference for this element's DOM document.

  Specified by:
    `domDocument` in interface `XDSDocument`
  Returns:
    will not return `null`

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `XDSDocument`
  Indicates whether this document's `<input>` or `<output>` element contains any child nodes.

  Specified by:
    `isEmpty` in interface `XDSDocument`
  Returns:
    `true`:
      if this document's `<input>` or `<output>` contains child elements
    `false`:
      if this document's `<input>` or `<output>` does not contain child elements

### domNDSElement

    public Element domNDSElement()

  Description copied from interface: `XDSDocument`
  Returns a DOM reference for this document's `<nds>` element.

  Specified by:
    `domNDSElement` in interface `XDSDocument`
  Returns:
    will not return `null`

### domIOElement

    public Element domIOElement()

  Description copied from interface: `XDSDocument`
  Returns a DOM reference for this document's `<input>` or `<output>` element.

  Specified by:
    `domIOElement` in interface `XDSDocument`
  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD